program Great;
  var
     x, y: integer;
begin
  read (x);
  read (y);
  while (x<>0) and (y<>0) do
     begin
        if (x>y) then
           writeln ('YES')
        else
           writeln ('NO');
        read (x);
        read (y)
     end;
end.
